Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(1755)

Issue 5096050: musicxml2ly: title and subtitle (issue 1913), miscellaneous (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 years, 9 months ago by pl_s
Modified:
7 years, 5 months ago
Reviewers:
pkx166h, janek, Reinhold, pls
CC:
lilypond-devel_gnu.org
Visibility:
Public.

Description

musicxml2ly: title and subtitle (issue 1913), miscellaneous musicxml2ly: titles (fixes issue 1913), tagline, conversion-info, <source>, midi-cmd-line-option, center-column long instrument names 1) if XML: <work-title>bli</work-title> AND <movement-title>bla </movement-title> --> LilyPond: title = bla subtitle = bli 2) the tagline of a piece engraved by LilyPond should not contain any information as to the encoding software of the .xml file. The standard Lilypond-tagline should be used. 3) the conversion info should contain the name of the conversion tool 4) the <source>-element is converted to a custom LilyPond-variable named "source" in the header. (it is usually used for publishing information) 5) a command line option for a midi block was added 6) multi-lined instrument names are now typeset in center-columns 7) the <miscellaneous>-element is currently translated into a header- variable "texidoc" which is important for the documentation. I'd suggest to call it "miscellaneous" by default and call it "texinfo" when activated via a command line option. (Not implemented yet)

Patch Set 1 #

Total comments: 15

Patch Set 2 : revision #

Patch Set 3 : forgotten bits and pieces #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+50 lines, -10 lines) Patch
M python/musicexp.py View 1 2 3 chunks +13 lines, -1 line 1 comment Download
M python/musicxml.py View 1 2 chunks +8 lines, -2 lines 0 comments Download
M scripts/musicxml2ly.py View 1 2 5 chunks +29 lines, -7 lines 0 comments Download

Messages

Total messages: 18
pl_s
7 years, 9 months ago (2011-09-22 11:35:50 UTC) #1
janek
Some concerns and a handful of questions (as usual in my case). http://codereview.appspot.com/5096050/diff/1/python/musicexp.py File python/musicexp.py ...
7 years, 9 months ago (2011-09-22 12:50:43 UTC) #2
Reinhold
Welcome to the wonderful world of LilyPond development! Most changes look fine, but there are ...
7 years, 9 months ago (2011-09-22 13:26:54 UTC) #3
pl_s
On 2011/09/22 13:26:54, Reinhold wrote: > Welcome to the wonderful world of LilyPond development! :) ...
7 years, 9 months ago (2011-09-23 11:20:59 UTC) #4
Reinhold
> Hm, I didn't understand all of this. What do I have to change in ...
7 years, 9 months ago (2011-09-23 11:42:26 UTC) #5
pl_s
Hi Reinhold and Janek, I hope I got it right this time. I didn't include ...
7 years, 9 months ago (2011-09-23 15:36:15 UTC) #6
pl_s
On 2011/09/23 15:36:15, p-l-s wrote: > Hi Reinhold and Janek, > > I hope I ...
7 years, 9 months ago (2011-09-24 10:41:36 UTC) #7
pkx166h
passes make and reg tests
7 years, 9 months ago (2011-09-24 19:39:30 UTC) #8
pkx166h
This also passes a completely fresh make ; make doc.
7 years, 9 months ago (2011-09-25 09:52:59 UTC) #9
janek
Hi Patrick, 2011/9/24 <ptrcklschmdt@googlemail.com>: > I just discovered that I forgot to add the changes ...
7 years, 9 months ago (2011-09-25 10:31:14 UTC) #10
pl_s
On 2011/09/25 10:31:14, janek wrote: > Hi Patrick, > > 2011/9/24 <ptrcklschmdt@googlemail.com>: > > I ...
7 years, 9 months ago (2011-09-25 10:51:35 UTC) #11
janek
2011/9/25 <ptrcklschmdt@googlemail.com>: > Hi Janek, > > I was talking about uploading some changes of ...
7 years, 9 months ago (2011-09-25 18:30:51 UTC) #12
pl_s
On 2011/09/25 18:30:51, janek wrote: > 2011/9/25 <ptrcklschmdt@googlemail.com>: > > Hi Janek, > > > ...
7 years, 9 months ago (2011-09-26 20:45:37 UTC) #13
janek
LGTM. Thanks! http://codereview.appspot.com/5096050/diff/20001/python/musicexp.py File python/musicexp.py (right): http://codereview.appspot.com/5096050/diff/20001/python/musicexp.py#newcode1510 python/musicexp.py:1510: # Print out the style if we ...
7 years, 9 months ago (2011-09-26 21:10:48 UTC) #14
Colin Campbell
Pushed as c4d028afdec2ee6e3cbbd661ed750ee9f5cf4c8f on behalf of Patrick/Janek
7 years, 8 months ago (2011-10-07 02:36:43 UTC) #15
janek
Hi Patrick, your patch was pushed when i was absent; now i see that Rietveld ...
7 years, 5 months ago (2012-01-15 23:07:52 UTC) #16
pls
Hi Janek, done! Thanks patrick BTW: http://codereview.appspot.com/5303063/ is still open and hasn't been pushed. Am ...
7 years, 5 months ago (2012-01-16 08:47:24 UTC) #17
janek
7 years, 5 months ago (2012-01-17 18:36:00 UTC) #18
2012/1/16 pls <p.l.schmidt@gmx.de>:
> BTW: http://codereview.appspot.com/5303063/ is still open and hasn't been
pushed.

Oops!  Looks like this patch slipped through the cracks because it
wasn't mentioned in tracker issue 1985.  I'm adding it now, it should
be checked soon.

thanks,
Janek
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b